From: "Patrick McLean" <chutzpah@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/scikit-learn/
Date: Wed, 1 Apr 2020 21:04:21 +0000 (UTC) [thread overview]
Message-ID: <1585775047.fbcfc13e1a4d3a66018996af35b9f26afa70c0a4.chutzpah@gentoo> (raw)
commit: fbcfc13e1a4d3a66018996af35b9f26afa70c0a4
Author: Patrick McLean <patrick.mclean <AT> sony <DOT> com>
AuthorDate: Wed Apr 1 21:02:43 2020 +0000
Commit: Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Wed Apr 1 21:04:07 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fbcfc13e
dev-python/scikit-learn: New package
Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-2.3.96, Repoman-2.3.22
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>
dev-python/scikit-learn/Manifest | 1 +
dev-python/scikit-learn/metadata.xml | 8 +++++
.../scikit-learn/scikit-learn-0.22.2_p1.ebuild | 41 ++++++++++++++++++++++
3 files changed, 50 insertions(+)
diff --git a/dev-python/scikit-learn/Manifest b/dev-python/scikit-learn/Manifest
new file mode 100644
index 00000000000..8e745c89f4d
--- /dev/null
+++ b/dev-python/scikit-learn/Manifest
@@ -0,0 +1 @@
+DIST scikit-learn-0.22.2_p1.tar.gz 7034850 BLAKE2B 41c362ef6594e837a9fc798837e666fbb51e33954fdf700292650204fd9d1ab4fc4d1695890d02a24ad68f4dcc2d3cde8f0827eca70c6fb9a6f0e5c0d9c04fd5 SHA512 20bcda5c65f76bce9b71c5b5fb1b499f7f3a7a3f6fa5fade80a38dc658cb434e16e9d5a4906a9657157a5cc90a6d51080575d6e510207baa9f8b06c4fa761d5b
diff --git a/dev-python/scikit-learn/metadata.xml b/dev-python/scikit-learn/metadata.xml
new file mode 100644
index 00000000000..56cae167d37
--- /dev/null
+++ b/dev-python/scikit-learn/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>chutzpah@gentoo.org</email>
+ <name>Patrick McLean</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/dev-python/scikit-learn/scikit-learn-0.22.2_p1.ebuild b/dev-python/scikit-learn/scikit-learn-0.22.2_p1.ebuild
new file mode 100644
index 00000000000..c67f8b4796e
--- /dev/null
+++ b/dev-python/scikit-learn/scikit-learn-0.22.2_p1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+inherit distutils-r1
+
+MY_PV="${PV//_p/.post}"
+DESCRIPTION="Machine learning library for Python"
+HOMEPAGE="https://scikit-learn.org/stable/
+ https://github.com/scikit-learn/scikit-learn"
+SRC_URI="https://github.com/${PN}/${PN}/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${PN}-${MY_PV}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/wheel[${PYTHON_USEDEP}]
+ dev-python/cython[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ sci-libs/scipy[${PYTHON_USEDEP}]
+"
+BDEPEND="${RDEPEND}
+ test? (
+ dev-python/joblib[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ distutils_install_for_testing
+ pushd "${TEST_DIR}/lib" >/dev/null || die
+ pytest -vv || die "testing failed with ${EPYTHON}"
+ popd >/dev/null || die
+}
next reply other threads:[~2020-04-01 21:04 UTC|newest]
Thread overview: 26+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-04-01 21:04 Patrick McLean [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-04-10 5:36 [gentoo-commits] repo/gentoo:master commit in: dev-python/scikit-learn/ Michał Górny
2024-04-11 11:48 Michał Górny
2024-04-24 16:15 Sam James
2024-04-24 16:15 Sam James
2024-04-24 17:15 Michał Górny
2024-05-17 6:25 Michał Górny
2024-05-20 16:25 Sam James
2024-05-22 4:49 Michał Górny
2024-06-05 7:22 Arthur Zamarin
2024-06-20 16:33 Michał Górny
2024-07-04 5:13 Michał Górny
2024-07-11 19:23 Michał Górny
2024-07-27 7:00 Arthur Zamarin
2024-07-27 8:24 Arthur Zamarin
2024-07-27 9:53 Michał Górny
2024-09-11 18:39 Michał Górny
2024-09-28 13:56 Arthur Zamarin
2024-11-02 1:42 Sam James
2024-11-02 6:32 Michał Górny
2024-12-10 4:35 Michał Górny
2024-12-28 9:39 Arthur Zamarin
2024-12-28 11:44 Sam James
2024-12-28 12:53 Michał Górny
2025-01-10 20:43 Michał Górny
2025-01-25 12:25 Arthur Zamarin
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1585775047.fbcfc13e1a4d3a66018996af35b9f26afa70c0a4.chutzpah@gentoo \
--to=chutzpah@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox